# azure.mgmt.cognitiveservices.operations module

class `azure.mgmt.cognitiveservices.operations.``AccountsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AccountsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-18. Constant value: “2017-04-18”.

  `create`(resource_group_name, account_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create Cognitive Services Account. Accounts is a resource group wide resource type. It holds the keys for developer to access intelligent APIs. It’s also the resource type for billing.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of Cognitive Services account.
    - parameters (CognitiveServicesAccountCreateParameters) – The parameters to provide for the created account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CognitiveServicesAccount or ClientRawResponse if raw=true
    Return type: | CognitiveServicesAccount or ClientRawResponse
    Raises: | `ErrorException`

  `delete`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Deletes a Cognitive Services account from the resource group. .

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of Cognitive Services account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorException`

  `get_properties`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Returns a Cognitive Services account specified by the parameters.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of Cognitive Services account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CognitiveServicesAccount or ClientRawResponse if raw=true
    Return type: | CognitiveServicesAccount or ClientRawResponse
    Raises: | `ErrorException`

  `get_usages`(resource_group_name, account_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Get usages for the requested Cognitive Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of Cognitive Services account.
    - filter (str) – An OData filter expression that describes a subset of usages to return. The supported parameter is name.value (name of the metric, can have an or of multiple names).
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | UsagesResult or ClientRawResponse if raw=true
    Return type: | UsagesResult or ClientRawResponse
    Raises: | `ErrorException`

  `list`(custom_headers=None, raw=False, **operation_config)

    Returns all the resources of a particular type belonging to a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of CognitiveServicesAccount
    Return type: | CognitiveServicesAccountPaged[CognitiveServicesAccount]
    Raises: | `ErrorException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Returns all the resources of a particular type belonging to a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of CognitiveServicesAccount
    Return type: | CognitiveServicesAccountPaged[CognitiveServicesAccount]
    Raises: | `ErrorException`

  `list_keys`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Lists the account keys for the specified Cognitive Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of Cognitive Services account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CognitiveServicesAccountKeys or ClientRawResponse if raw=true
    Return type: | CognitiveServicesAccountKeys or ClientRawResponse
    Raises: | `ErrorException`

  `list_skus`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    List available SKUs for the requested Cognitive Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of Cognitive Services account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CognitiveServicesAccountEnumerateSkusResult or ClientRawResponse if raw=true
    Return type: | CognitiveServicesAccountEnumerateSkusResult or ClientRawResponse
    Raises: | `ErrorException`

  `regenerate_key`(resource_group_name, account_name, key_name, custom_headers=None, raw=False, **operation_config)

    Regenerates the specified account key for the specified Cognitive Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of Cognitive Services account.
    - key_name (str or KeyName) – key name to generate (Key1|Key2). Possible values include: ‘Key1’, ‘Key2’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CognitiveServicesAccountKeys or ClientRawResponse if raw=true
    Return type: | CognitiveServicesAccountKeys or ClientRawResponse
    Raises: | `ErrorException`

  `update`(resource_group_name, account_name, sku=None, tags=None, properties=None, custom_headers=None, raw=False, **operation_config)

    Updates a Cognitive Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of Cognitive Services account.
    - sku (Sku) – Gets or sets the SKU of the resource.
    - tags (dict[str, str]) – Gets or sets a list of key value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups). A maximum of 15 tags can be provided for a resource. Each tag must have a key no greater than 128 characters and value no greater than 256 characters.
    - properties (object) – Additional properties for Account. Only provided fields will be updated.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CognitiveServicesAccount or ClientRawResponse if raw=true
    Return type: | CognitiveServicesAccount or ClientRawResponse
    Raises: | `ErrorException`

  `models` = <module 'azure.mgmt.cognitiveservices.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cognitiveservices/models/__init__.py'>

class `azure.mgmt.cognitiveservices.operations.``ResourceSkusOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ResourceSkusOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-18. Constant value: “2017-04-18”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets the list of Microsoft.CognitiveServices SKUs available for your Subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ResourceSku
    Return type: | ResourceSkuPaged[ResourceSku]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.cognitiveservices.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cognitiveservices/models/__init__.py'>

class `azure.mgmt.cognitiveservices.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-18. Constant value: “2017-04-18”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all the available Cognitive Services account operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of OperationEntity
    Return type: | OperationEntityPaged[OperationEntity]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.cognitiveservices.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cognitiveservices/models/__init__.py'>

class `azure.mgmt.cognitiveservices.operations.``CheckSkuAvailabilityOperations`(client, config, serializer, deserializer)

  Bases: `object`

  CheckSkuAvailabilityOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-18. Constant value: “2017-04-18”.

  `list`(location, skus, kind, type, custom_headers=None, raw=False, **operation_config)

    Check available SKUs.

    Parameters:

    - location (str) – Resource location.
    - skus (list[str]) – The SKU of the resource.
    - kind (str) – The Kind of the resource.
    - type (str) – The Type of the resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckSkuAvailabilityResultList or ClientRawResponse if raw=true
    Return type: | CheckSkuAvailabilityResultList or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.cognitiveservices.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cognitiveservices/models/__init__.py'>

class `azure.mgmt.cognitiveservices.operations.``CognitiveServicesManagementClientOperationsMixin`

  Bases: `object`

  `check_domain_availability`(subdomain_name, type, custom_headers=None, raw=False, **operation_config)

    Check whether a domain is available.

    Parameters:

    - subdomain_name (str) – The subdomain name to use.
    - type (str) – The Type of the resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckDomainAvailabilityResult or ClientRawResponse if raw=true
    Return type: | CheckDomainAvailabilityResult or ClientRawResponse
    Raises: | `CloudError`